Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation
Class ConversationWiperThread

    java.lang.Object
      java.lang.Thread
          org.apache.myfaces.orchestra.conversation.ConversationWiperThread

All Implemented Interfaces:
  java.lang.Runnable

    public class ConversationWiperThread

extends java.lang.Thread

The ConversationWiperThread will trigger the conversation timeout check.

This is typically started from a servlet session listener when the webapp starts.

See Also:
  `ConversationManagerSessionListener`

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ConversationWiperThread(long checkTime)` Constructor.

Method Summary
`void` | `addConversationManager(ConversationManager cm)` Add a ConversationManager to check.
`void` | `removeConversationManager(ConversationManager cm)` Remove a ConversationManager from the list to check.
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConversationWiperThread

    public ConversationWiperThread(long checkTime)

  Constructor.

  Parameters:
    `checkTime` - is interval in milliseconds between scans of the existing ConversationManagers to look for timeouts.

Method Detail

### addConversationManager

    public void addConversationManager(ConversationManager cm)

  Add a ConversationManager to check.

  Since:
    1.1

### removeConversationManager

    public void removeConversationManager(ConversationManager cm)

  Remove a ConversationManager from the list to check.

  Since:
    1.1

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.